SelectInput (Struts Core 1.3.10 API)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.struts.chain.commands.servlet
Class SelectInput

    java.lang.Object
      org.apache.struts.chain.commands.ActionCommandBase
          org.apache.struts.chain.commands.AbstractSelectInput
              org.apache.struts.chain.commands.servlet.SelectInput

All Implemented Interfaces:
  org.apache.commons.chain.Command, ActionCommand

    public class SelectInput

extends AbstractSelectInput

Validate the properties of the form bean for this request. If there are any validation errors, execute the child commands in our chain; otherwise, proceed normally.

Version:
  $Rev: 471754 $ $Date: 2005-05-07 12:11:38 -0400 (Sat, 07 May 2005) $

Field Summary

Fields inherited from interface org.apache.commons.chain.Command
`CONTINUE_PROCESSING, PROCESSING_COMPLETE`

Constructor Summary
`SelectInput()`

Method Summary
`protected ForwardConfig` | `forward(ActionContext context, ModuleConfig moduleConfig, String uri)` Create and return a `ForwardConfig` representing the specified module-relative destination.

Methods inherited from class org.apache.struts.chain.commands.AbstractSelectInput
`execute`

Methods inherited from class org.apache.struts.chain.commands.ActionCommandBase
`execute`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SelectInput

    public SelectInput()

Method Detail

### forward

    protected ForwardConfig forward(ActionContext context,
                                    ModuleConfig moduleConfig,
                                    String uri)

  Create and return a `ForwardConfig` representing the specified module-relative destination.

  Specified by:
    `forward` in class `AbstractSelectInput`
  Parameters:
    `context` - The context for this request
    `moduleConfig` - The `ModuleConfig` for this request
    `uri` - The module-relative URI to be the destination
  Returns:
    ForwardConfig representing destination

Overview | Package | Class | Use | Tree | Deprecated | Index | Help

PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000-2008 Apache Software Foundation. All Rights Reserved.